List Commits
GEThttps://api.confident-ai.com/v1/prompts/{alias}/commits
Retrieves a list of all the commits associated with a prompt
curl -X GET "https://api.confident-ai.com/v1/prompts/{alias}/commits" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"commits": [
{
"id": "144aa01d-af4d-4054-83fa-78e2301d94fb",
"hash": "bab04ce",
"message": "Committed from API"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the prompt.
Query parameters
branchstringThe unique name of a branch.
Response
successbooleanThis is true if the prompt versions were successfully retrieved.
dataobjectShow 1 propertyHide 1 property
commitslist of objectsShow 3 propertiesHide 3 properties
idstringThe id of a commit generated by Confident AI, not to be confused with prompt id or commit hash.
hashstringThe hash of a commit generated by Confident AI.
messagestringThe message associated with a commit, not to be confused with a prompt's message.
deprecatedbooleanThis is true if this endpoint is deprecated.